Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.search
Class TypeSearchError

    java.lang.Object
      com.plumtree.remote.search.TypeSearchError

public class TypeSearchError
extends java.lang.Object

Type-safe enumeration of error types.

Field Summary
`static TypeSearchError` | `TYPE_ADMIN_PREFS_NOT_SET` Administrative preferences not set; results in a link to the administrative preferences page.
`static TypeSearchError` | `TYPE_OTHER_ERROR` Error; the message passed into the `SearchException` constructor is displayed.
`static TypeSearchError` | `TYPE_USER_INFO_NOT_SET` User Information not set; results in a link to the Profile page.
`static TypeSearchError` | `TYPE_USER_PREFS_NOT_SET` User preferences not set; results in a link to the user preferences page.

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`int` | `getCode()` Gets the code associated with this `TypeSearchError`.
`int` | `hashCode()`
`static TypeSearchError` | `parse(int val)` Create a `TypeSearchError` from the int passed in.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_ADMIN_PREFS_NOT_SET

    public static final TypeSearchError TYPE_ADMIN_PREFS_NOT_SET

  Administrative preferences not set; results in a link to the administrative preferences page.

### TYPE_USER_PREFS_NOT_SET

    public static final TypeSearchError TYPE_USER_PREFS_NOT_SET

  User preferences not set; results in a link to the user preferences page.

### TYPE_USER_INFO_NOT_SET

    public static final TypeSearchError TYPE_USER_INFO_NOT_SET

  User Information not set; results in a link to the Profile page.

### TYPE_OTHER_ERROR

    public static final TypeSearchError TYPE_OTHER_ERROR

  Error; the message passed into the `SearchException` constructor is displayed.

Method Detail

### getCode

    public int getCode()

  Gets the code associated with this `TypeSearchError`.

  Returns:
    int

### equals

    public boolean equals(java.lang.Object obj)

### hashCode

    public int hashCode()

### parse

    public static TypeSearchError parse(int val)

  Create a `TypeSearchError` from the int passed in.

  Returns:
    `TypeSearchError`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.